## org.gnu.pango
Class Underline

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.pango.Underline

public class Underline
extends Enum

The PangoUnderline enumeration is used to specify whether text should be underlined, and if so, the type of underlining.

Field Summary
`static Underline` `DOUBLE` a double underline should be drawn.
`static Underline` `ERROR`
`static Underline` `LOW` a single underline should be drawn at a position beneath the ink extents of the text being underlined.
`static Underline` `NONE` no underline should be drawn.
`static Underline` `SINGLE` a single underline should be drawn.

Fields inherited from class org.gnu.glib.Enum
`value_`

Method Summary
`Underline` `and(Underline other)`
`static Underline` `intern(int value)`
`Underline` `or(Underline other)`
`boolean` `test(Underline other)`
`Underline` `xor(Underline other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NONE

    public static final Underline NONE

  no underline should be drawn.

### SINGLE

    public static final Underline SINGLE

  a single underline should be drawn.

### DOUBLE

    public static final Underline DOUBLE

  a double underline should be drawn.

### LOW

    public static final Underline LOW

  a single underline should be drawn at a position beneath the ink extents of the text being underlined. This should be used only for underlining single characters, such as for keyboard accelerators. `SINGLE` should be used for extended portions of text.

### ERROR

    public static final Underline ERROR

Method Detail

### intern

    public static Underline intern(int value)

### or

    public Underline or(Underline other)

### and

    public Underline and(Underline other)

### xor

    public Underline xor(Underline other)

### test

    public boolean test(Underline other)